Package org.eclipse.jface.text.templates.persistence

## Class TemplatePersistenceData

- java.lang.Object
- - org.eclipse.text.templates.TemplatePersistenceData
  - - org.eclipse.jface.text.templates.persistence.TemplatePersistenceData

    @Deprecated
    public class TemplatePersistenceData
    extends org.eclipse.text.templates.TemplatePersistenceData

Deprecated.
See `TemplatePersistenceData`
TemplatePersistenceData stores information about a template. It uniquely references contributed templates via their id. Contributed templates may be deleted or modified. All template may be enabled or not.

Clients may use this class, although this is not usually needed except when implementing a custom template preference page or template store. This class is not intended to be subclassed.

Since:
  3.0
Restriction:
  This class is not intended to be subclassed by clients.

### Constructor Summary

Constructors
`TemplatePersistenceData​(Template template, boolean enabled)` Deprecated.
`TemplatePersistenceData​(Template template, boolean enabled, String id)` Deprecated.
`TemplatePersistenceData​(org.eclipse.text.templates.TemplatePersistenceData data)` Deprecated. In some cases, we must continue to respect the deprecated TemplatePresistenceData even though we are given `TemplatePersistenceData`.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`boolean` `equals​(Object other)` Deprecated.
`String` `getId()` Deprecated. Returns the id of this template store, or `null` if there is none.
`Template` `getTemplate()` Deprecated. Returns the template encapsulated by the receiver.
`protected UUID` `getUniqueIdForEquals()` Deprecated. Required to support equals() with deprecated type org.eclipse.jface.text.templates.persistence.TemplatePersistenceData.
`int` `hashCode()` Deprecated.
`boolean` `isCustom()` Deprecated. Returns whether the receiver represents a custom template, i.e. is either a user-added template or a contributed template that has been modified.
`boolean` `isDeleted()` Deprecated. Returns the deletion state of the stored template.
`boolean` `isEnabled()` Deprecated. Returns the enablement state of the contained template.
`boolean` `isModified()` Deprecated. Returns whether the receiver represents a modified template, i.e. a contributed template that has been changed.
`boolean` `isUserAdded()` Deprecated. Returns `true` if the contained template was added by a user, i.e. does not reference a contributed template.
`void` `revert()` Deprecated. Reverts the template to its original setting.
`void` `setDeleted​(boolean isDeleted)` Deprecated. Sets the deletion state of the stored template.
`void` `setEnabled​(boolean isEnabled)` Deprecated. Sets the enablement state of the contained template.
`void` `setTemplate​(Template template)` Deprecated. Sets the template encapsulated by the receiver.

### Methods inherited from class org.eclipse.text.templates.TemplatePersistenceData

`getUniqueIdForEquals`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TemplatePersistenceData

    public TemplatePersistenceData​(org.eclipse.text.templates.TemplatePersistenceData data)

Deprecated.
In some cases, we must continue to respect the deprecated TemplatePresistenceData even though we are given `TemplatePersistenceData`.

Parameters:
  `data` - The `TemplatePersistenceData` that will underlie this object.
Since:
  3.14

#### TemplatePersistenceData

    public TemplatePersistenceData​(Template template,
                                   boolean enabled)

Deprecated.

#### TemplatePersistenceData

    public TemplatePersistenceData​(Template template,
                                   boolean enabled,
                                   String id)

Deprecated.

### Method Detail

#### getId

    public String getId()

Deprecated.
Description copied from class: `org.eclipse.text.templates.TemplatePersistenceData`
Returns the id of this template store, or `null` if there is none.

Overrides:
  `getId` in class `org.eclipse.text.templates.TemplatePersistenceData`
Returns:
  the id of this template store

#### isDeleted

    public boolean isDeleted()

Deprecated.
Description copied from class: `org.eclipse.text.templates.TemplatePersistenceData`
Returns the deletion state of the stored template. This is only relevant of contributed templates.

Overrides:
  `isDeleted` in class `org.eclipse.text.templates.TemplatePersistenceData`
Returns:
  the deletion state of the stored template

#### setDeleted

    public void setDeleted​(boolean isDeleted)

Deprecated.
Description copied from class: `org.eclipse.text.templates.TemplatePersistenceData`
Sets the deletion state of the stored template.

Overrides:
  `setDeleted` in class `org.eclipse.text.templates.TemplatePersistenceData`
Parameters:
  `isDeleted` - the deletion state of the stored template

#### getTemplate

    public Template getTemplate()

Deprecated.
Description copied from class: `org.eclipse.text.templates.TemplatePersistenceData`
Returns the template encapsulated by the receiver.

Overrides:
  `getTemplate` in class `org.eclipse.text.templates.TemplatePersistenceData`
Returns:
  the template encapsulated by the receiver

#### setTemplate

    public void setTemplate​(Template template)

Deprecated.
Description copied from class: `org.eclipse.text.templates.TemplatePersistenceData`
Sets the template encapsulated by the receiver.

Overrides:
  `setTemplate` in class `org.eclipse.text.templates.TemplatePersistenceData`
Parameters:
  `template` - the new template

#### isCustom

    public boolean isCustom()

Deprecated.
Description copied from class: `org.eclipse.text.templates.TemplatePersistenceData`
Returns whether the receiver represents a custom template, i.e. is either a user-added template or a contributed template that has been modified.

Overrides:
  `isCustom` in class `org.eclipse.text.templates.TemplatePersistenceData`
Returns:
  `true` if the contained template is a custom template and cannot be reconstructed from the contributed templates

#### isModified

    public boolean isModified()

Deprecated.
Description copied from class: `org.eclipse.text.templates.TemplatePersistenceData`
Returns whether the receiver represents a modified template, i.e. a contributed template that has been changed.

Overrides:
  `isModified` in class `org.eclipse.text.templates.TemplatePersistenceData`
Returns:
  `true` if the contained template is contributed but has been modified, `false` otherwise

#### isUserAdded

    public boolean isUserAdded()

Deprecated.
Description copied from class: `org.eclipse.text.templates.TemplatePersistenceData`
Returns `true` if the contained template was added by a user, i.e. does not reference a contributed template.

Overrides:
  `isUserAdded` in class `org.eclipse.text.templates.TemplatePersistenceData`
Returns:
  `true` if the contained template was added by a user, `false` otherwise

#### revert

    public void revert()

Deprecated.
Description copied from class: `org.eclipse.text.templates.TemplatePersistenceData`
Reverts the template to its original setting.

Overrides:
  `revert` in class `org.eclipse.text.templates.TemplatePersistenceData`

#### isEnabled

    public boolean isEnabled()

Deprecated.
Description copied from class: `org.eclipse.text.templates.TemplatePersistenceData`
Returns the enablement state of the contained template.

Overrides:
  `isEnabled` in class `org.eclipse.text.templates.TemplatePersistenceData`
Returns:
  the enablement state of the contained template

#### setEnabled

    public void setEnabled​(boolean isEnabled)

Deprecated.
Description copied from class: `org.eclipse.text.templates.TemplatePersistenceData`
Sets the enablement state of the contained template.

Overrides:
  `setEnabled` in class `org.eclipse.text.templates.TemplatePersistenceData`
Parameters:
  `isEnabled` - the new enablement state of the contained template

#### equals

    public boolean equals​(Object other)

Deprecated.

Overrides:
  `equals` in class `org.eclipse.text.templates.TemplatePersistenceData`

#### hashCode

    public int hashCode()

Deprecated.

Overrides:
  `hashCode` in class `org.eclipse.text.templates.TemplatePersistenceData`

#### getUniqueIdForEquals

    protected UUID getUniqueIdForEquals()

Deprecated.
Description copied from class: `org.eclipse.text.templates.TemplatePersistenceData`
Required to support equals() with deprecated type org.eclipse.jface.text.templates.persistence.TemplatePersistenceData.

Overrides:
  `getUniqueIdForEquals` in class `org.eclipse.text.templates.TemplatePersistenceData`
Returns:
  unique id to support `TemplatePersistenceData.equals(Object)`